import requests
import json

# 请求方法
def obtain_server_data(api_id,api_name,data):
    url = f'https://j.kplzj.com/api/request?n={api_id}&api={api_name}'  # 替换为你要发送POST请求的URL
    print(url)
    # 发送POST请求
    proxies = {
        'http': None,
        'https': None,
    }
    response = requests.post(url,proxies=proxies, verify=False, data=json.dumps(data,ensure_ascii=False))
    # 检查请求是否成功
    if response.status_code == 200:
        res= json.loads(response.text)
        if res['state']==0:
            print('POST请求成功！')
            return res
    else:
        print('POST请求失败，状态码：', response.status_code)
        print('错误信息：', response.text)
    return


# 存储接口
def updata_server(api_id,data):
    url = f'http://119.96.145.175:12103/api/smart/save/{api_id}'
    response = requests.post(url, data=json.dumps(data))
    # 检查请求是否成功
    if response.status_code == 200:
        res= json.loads(response.text)
        if res['code']==0:
            print('更新成功！')
            return res
    else:
        print('POST请求失败，状态码：', response.status_code)
        print('错误信息：', response.text)
    return